/*
 * tim.h
 *
 *  Created on: 2024Äê6ÔÂ22ÈÕ
 *      Author: psx
 */

#ifndef HARDWARE_INC_TIM_H_
#define HARDWARE_INC_TIM_H_

#include "debug.h"
#include "math.h"

void TIM3_Init(uint16_t delay_ms);
void TIM3_Int_Init(uint16_t arr,uint16_t psc);

extern float_t totalElectricityConsumption;
extern float_t totalChargCapacity;
void TIM2_Init(uint16_t delay_ms);
void TIM2_Int_Init(uint16_t arr,uint16_t psc);

void Systick_Init(void);


void TIM1_Init(uint16_t delay_ms);
void TIM1_Int_Init(uint16_t arr,uint16_t psc);

#endif /* HARDWARE_INC_TIM_H_ */
